org.bouncycastle.util.encoders

## Class Base64

- java.lang.Object
- - org.bouncycastle.util.encoders.Base64

    public class Base64
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Base64()`

### Method Summary

Methods
`static byte[]` `decode(byte[] data)` decode the base 64 encoded input data.
`static byte[]` `decode(java.lang.String data)` decode the base 64 encoded String data - whitespace will be ignored.
`static int` `decode(java.lang.String data, java.io.OutputStream out)` decode the base 64 encoded String data writing it to the given output stream, whitespace characters will be ignored.
`static byte[]` `encode(byte[] data)` encode the input data producing a base 64 encoded byte array.
`static int` `encode(byte[] data, int off, int length, java.io.OutputStream out)` Encode the byte data to base 64 writing it to the given output stream.
`static int` `encode(byte[] data, java.io.OutputStream out)` Encode the byte data to base 64 writing it to the given output stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base64

    public Base64()

### Method Detail

#### encode

    public static byte[] encode(byte[] data)

encode the input data producing a base 64 encoded byte array.

Returns:
  a byte array containing the base 64 encoded data.

#### encode

    public static int encode(byte[] data,
             java.io.OutputStream out)
                      throws java.io.IOException

Encode the byte data to base 64 writing it to the given output stream.

Returns:
  the number of bytes produced.
Throws:
  `java.io.IOException`

#### encode

    public static int encode(byte[] data,
             int off,
             int length,
             java.io.OutputStream out)
                      throws java.io.IOException

Encode the byte data to base 64 writing it to the given output stream.

Returns:
  the number of bytes produced.
Throws:
  `java.io.IOException`

#### decode

    public static byte[] decode(byte[] data)

decode the base 64 encoded input data. It is assumed the input data is valid.

Returns:
  a byte array representing the decoded data.

#### decode

    public static byte[] decode(java.lang.String data)

decode the base 64 encoded String data - whitespace will be ignored.

Returns:
  a byte array representing the decoded data.

#### decode

    public static int decode(java.lang.String data,
             java.io.OutputStream out)
                      throws java.io.IOException

decode the base 64 encoded String data writing it to the given output stream, whitespace characters will be ignored.

Returns:
  the number of bytes produced.
Throws:
  `java.io.IOException`